package com.dayou.vo;

import com.dayou.entity.Question;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@Data
public class DocumentCycleVO {

    private Long id;

    private Long documentId;

    private String cycleName;

    private String itemName;

    private Long typeId;

    private String type;

    private String scope;

    private List<List<Question>> questions;

    private List<Question> result;

    private LocalDateTime created;

    @AbcValidate(required = true,message = "专家编号不能为空",fun = Check.NotEmpty)
    private String professorNo;
}
