package com.dayou.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.Document;
import com.dayou.vo.DocumentCycleVO;
import com.dayou.vo.DocumentVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
public interface DocumentMapper extends BaseMapper<Document> {
    DocumentCycleVO getDocumentCycleVO();

    IPage<DocumentVO> getPage(Page page, @Param("document") Document document);
}
