package com.dayou.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.entity.ProfessorResult;
import com.dayou.entity.QuestionAnalysis;
import com.dayou.vo.ProfessorResultVO;
import com.dayou.vo.QuestionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
public interface ProfessorResultMapper extends BaseMapper<ProfessorResult> {
    List<QuestionAnalysis> getAvgScore(@Param("cycleId") Long cycleId, @Param("questionId")Long questionId);


    List<ProfessorResultVO> getResultList();

    List<ProfessorResultVO> getResultByCycleId(@Param("id") Long id);

}
