package com.dayou.entity;

import com.dayou.configuration.BaseEntity;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@Data
public class Cycle extends BaseEntity {

    @AbcValidate(required = true,message = "问卷ID不能为空",fun = Check.NotNull)
    private Long documentId;

    @AbcValidate(required = true,message = "轮数不能为空",fun = Check.NotEmpty)
    private String cycleName;
}
