package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.entity.QuestionAnalysis;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.MergeTableVO;
import com.dayou.vo.MergeVO;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
public interface IQuestionAnalysisService extends IService<QuestionAnalysis> {
    List<AnalysisResultVO> getAnalysisList();

    List<AnalysisResultVO> getAnalysisListByCycleId(Long id);

    MergeVO getMergeData();
}
